test: tagSBTRACK struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# tagSBTRACK Struct Reference

`#include <user.h>`

List of all members.

## Public Attributes

DWORD | fHitOld: 1
DWORD | fTrackVert: 1
DWORD | fCtlSB: 1
DWORD | fTrackRecalc: 1
PWND | spwndTrack
PWND | spwndSB
PWND | spwndSBNotify
RECT | rcTrack
VOID(* | xxxpfnSB )(PWND, UINT, DWORD, LONG, PSBCALC)
UINT | cmdSB
UINT | hTimerSB
int | dpxThumb
int | pxOld
int | posOld
int | posNew
int | nBar
PSBCALC | pSBCalc
UINT_PTR | hTimerSB

## Member Data Documentation

UINT tagSBTRACK::cmdSB

| Definition at line 2870 of file inc/user.h. Referenced by DrawThumb2(), RecalcTrackRect(), xxxContScroll(), xxxEndScroll(), and xxxTrackBox().

int tagSBTRACK::dpxThumb

| Definition at line 2872 of file inc/user.h. Referenced by xxxTrackThumb().

DWORD tagSBTRACK::fCtlSB

| Definition at line 2863 of file inc/user.h. Referenced by RecalcTrackRect(), xxxDrawScrollBar(), xxxEndScroll(), xxxSBTrackLoop(), and zzzDrawInvertScrollArea().

DWORD tagSBTRACK::fHitOld

| Definition at line 2861 of file inc/user.h. Referenced by xxxContScroll(), and xxxTrackBox().

DWORD tagSBTRACK::fTrackRecalc

| Definition at line 2864 of file inc/user.h. Referenced by DrawThumb2(), InvertScrollHilite(), xxxSetScrollBar(), xxxTrackBox(), xxxTrackThumb(), and zzzDrawInvertScrollArea().

DWORD tagSBTRACK::fTrackVert

| Definition at line 2862 of file inc/user.h. Referenced by CalcTrackDragRect(), DrawThumb2(), RecalcTrackRect(), xxxContScroll(), xxxDrawScrollBar(), xxxEndScroll(), xxxMoveThumb(), xxxSBTrackLoop(), xxxSetScrollBar(), xxxTrackBox(), xxxTrackThumb(), and zzzDrawInvertScrollArea().

UINT_PTR tagSBTRACK::hTimerSB

| Definition at line 2871 of file inc/user.h.

UINT tagSBTRACK::hTimerSB

| Definition at line 2720 of file client/nt6/user.h. Referenced by xxxContScroll(), xxxEndScroll(), and xxxTrackBox().

int tagSBTRACK::nBar

| Definition at line 2876 of file inc/user.h. Referenced by _SBGetParms().

int tagSBTRACK::posNew

| Definition at line 2875 of file inc/user.h. Referenced by _SBGetParms(), and xxxMoveThumb().

int tagSBTRACK::posOld

| Definition at line 2874 of file inc/user.h. Referenced by xxxEndScroll(), and xxxMoveThumb().

PSBCALC tagSBTRACK::pSBCalc

| Definition at line 2877 of file inc/user.h. Referenced by CalcTrackDragRect(), RecalcTrackRect(), xxxDrawScrollBar(), and xxxEndScroll().

int tagSBTRACK::pxOld

| Definition at line 2873 of file inc/user.h. Referenced by xxxMoveThumb().

RECT tagSBTRACK::rcTrack

| Definition at line 2868 of file inc/user.h. Referenced by CalcTrackDragRect(), DrawThumb2(), InvertScrollHilite(), RecalcTrackRect(), xxxEndScroll(), xxxTrackBox(), xxxTrackThumb(), and zzzDrawInvertScrollArea().

PWND tagSBTRACK::spwndSB

| Definition at line 2866 of file inc/user.h. Referenced by xxxContScroll(), xxxDestroyThreadInfo(), xxxEndScroll(), xxxMoveThumb(), and xxxTrackBox().

PWND tagSBTRACK::spwndSBNotify

| Definition at line 2867 of file inc/user.h. Referenced by xxxContScroll(), xxxDestroyThreadInfo(), xxxEndScroll(), xxxMoveThumb(), and xxxTrackBox().

PWND tagSBTRACK::spwndTrack

| Definition at line 2865 of file inc/user.h. Referenced by _SBGetParms(), DrawThumb2(), RecalcTrackRect(), xxxDestroyThreadInfo(), xxxDrawScrollBar(), xxxEndScroll(), and xxxSetScrollBar().

VOID(* tagSBTRACK::xxxpfnSB)(PWND, UINT, WPARAM, LPARAM, PSBCALC)

| Referenced by xxxDWP_DoCancelMode(), xxxEndScroll(), xxxMoveThumb(), xxxSBTrackLoop(), and xxxSetScrollBar().

The documentation for this struct was generated from the following files:

- client/nt6/user.h
- inc/user.h